#******************************************************************************
#
#   Copyright (C) 2000, International Business Machines
#   Corporation and others.  All Rights Reserved.
#
#******************************************************************************
# This Makefile is used to build the ICU's data.
# It is included with the -O option to pkgdata.

PLATFORM=OS400

top_srcdir=/icu/source
srcdir=/icu/source/tools/pkgdata
top_builddir=../..

SHELL=/usr/bin/qsh
CFLAGS=-g 
CPPFLAGS= -I. -I$(top_builddir)/common -I$(top_srcdir)/common
CXXFLAGS=-g 
FFLAGS=
DEFS=-DHAVE_CONFIG_H 
# We're not linking anything with ICU libs
#LDFLAGS= -L$(prefix)/lib $(LD_RPATH)$(LD_RPATH_PRE)$(libdir)
LIBS=-lwcs -lpthread -lm  
ICULIBS=$(LIBS) -licu-uc -licu-i18n
exec_prefix=${prefix}
prefix=/usr/local
program_transform_name=s,x,x,
bindir=${exec_prefix}/bin
sbindir=${exec_prefix}/sbin
libexecdir=${exec_prefix}/libexec
datadir=${prefix}/share
sysconfdir=${prefix}/etc
sharedstatedir=${prefix}/com
localstatedir=${prefix}/var
libdir=${exec_prefix}/lib
includedir=${prefix}/include
oldincludedir=/usr/include
infodir=${prefix}/info
mandir=${prefix}/man
PACKAGE=icu
VERSION=1.6
CC=/usr/bin/icc
CXX=/usr/bin/icc

INSTALL = /icu/source/install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT=${INSTALL_PROGRAM}
INSTALL_DATA=${INSTALL} -m 644
AUTOCONF=true
host=as400-unknown-os400
host_alias=as400-os400
host_cpu=as400
host_vendor=unknown
host_os=os400
LIB_M=
CPP=/usr/bin/icc -c -qpponly
U_HAVE_INTTYPES_H=0
U_IS_BIG_ENDIAN=1
HAVE_INT8_T=0
HAVE_UINT8_T=0
HAVE_INT16_T=0
HAVE_UINT16_T=0
HAVE_INT32_T=0
HAVE_UINT32_T=0
HAVE_BOOL_T=0
EXTRAS_TRUE=
EXTRAS_FALSE=#
TESTS_TRUE=
TESTS_FALSE=#
SAMPLES_TRUE=
SAMPLES_FALSE=#
platform=OS400


ld_rpath_suf= 


# begin host fragment

## -*-makefile-*-
## OS400-specific setup (for cross build)
## Copyright (c) 1999-2000, International Business Machines Corporation and
## others. All Rights Reserved.

GEN_DEPS.c=	$(CC1) -E -M $(DEFS) $(CPPFLAGS)
GEN_DEPS.cc=	$(CXX1) -E -M $(DEFS) $(CPPFLAGS)

## Commands to compile
COMPILE.c=	$(CC) $(DEFS) -DOS400 -D_MULTI_THREADED $(CPPFLAGS) $(CFLAGS) -c
COMPILE.cc=	$(CXX) $(DEFS) -DOS400 -D_MULTI_THREADED $(CPPFLAGS) $(CXXFLAGS) -c

## Commands to link
## We need to use the C++ linker, even when linking C programs, since
##  our libraries contain C++ code (C++ static init not called)
LINK.c=		$(CXX) $(DEFS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -qOPTION='*DUPPROC *DUPVAR'
LINK.cc=	$(CXX) $(DEFS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -qOPTION='*DUPPROC *DUPVAR'

## Commands to make a shared library
SHLIB.c=   ld -v -qOPTION='*DUPPROC *DUPVAR'
SHLIB.cc=	 ld -v -qOPTION='*DUPPROC *DUPVAR'
AR = qar
ARFLAGS = -cuv

## Compiler switch to embed a runtime search path
LD_RPATH=	-I
LD_RPATH_PRE=	-I

###  How ICU libraries are named...  ex. $(LIBICU)uc$(SO)
## Prefix for the ICU library names [Note - no hyphen for 400]
LIBICU = libicu
##  object suffix
TO=		o

## Shared object suffix
SO=		o

## Platform command to remove or move executable target
RMV = del
INSTALL-S = cp -fph

## Link commands to link to ICU service programs
LIBICU-UC = $(top_builddir)/common/libicuuc.o
LIBICU-I18N = $(top_builddir)/i18n/libicui18n.o
LIBCTESTFW = $(top_builddir)/tools/ctestfw/libctestfw.o
LIBICU-TOOLUTIL = $(top_builddir)/tools/toolutil/libicutoolutil.o
LIBUSTDIO=      $(top_builddir)/extra/ustdio/libustdio.o

## Special OS400 rules

## Build archive from shared object
%.a : %.o
	$(AR) $(ARFLAGS) $@ $<

## Build import list from export list
%.e : %.exp
	@echo "Building an import list for $<"
	@$(SHELL) -ec "echo '#! $*.a($*.so)' | cat - $< > $@"

## Compilation rules
%.o : $(srcdir)/%.c
	$(COMPILE.c) -o $@ $<

%.o : $(srcdir)/%.cpp
	$(COMPILE.cc) -o $@ $<

%.qwobj : $(srcdir)/%.c
	$(COMPILE.c) -o $@ $<

%.qwobj : $(srcdir)/%.cpp
	$(COMPILE.cc) -o $@ $<

## Dependency rules
%.d : %.u
#	@$(SHELL) -ec 'cat $<  \
#		| sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@; \
#		[ -s $@ ] || rm -f $@ ; rm -f $<'

%.u : $(srcdir)/%.c
	@echo "Generating dependency information for $<"
#	@$(SHELL) -ec 'touch            $*.u  > /dev/null 2>&1'
#	@$(SHELL) -ec '$(GEN_DEPS.c) -f $*.u $< > /dev/null 2>&1'

%.u : $(srcdir)/%.cpp
	@echo "Generating dependency information for $<"
#	@$(SHELL) -ec 'touch              $*.u  > /dev/null 2>&1'
#	@$(SHELL) -ec '$(GEN_DEPS.cc)  -f $*.u $< > /dev/null 2>&1'

## End OS400-specific setup
# end host fragment

top_builddir = ../..
subdir = tools/tmp

##### Add the following to source/config/Makefile.in

GENCCODE=$(top_builddir)/tools/genccode/genccode
GENCMN=$(top_builddir)/tools/gencmn/gencmn

LPATHS=$(top_builddir)/common:$(top_builddir)/i18n:$(top_builddir)/tools/toolutil

TOOL=env LD_LIBRARY_PATH=$(LPATHS) LIBPATH=$(LPATHS) 

ifeq ($(strip $(PLATFORM)),OS390)
  TOOL=
endif

ifeq ($(strip $(PLATFORM)),AIX)
  TOOL=env LIBPATH=$(LPATHS)
endif

ifeq ($(strip $(PLATFORM)),HPUX)
  TOOL=env LD_LIBRARY_PATH=$(LPATHS)
endif

ifeq ($(strip $(PLATFORM)),U_LINUX)
  TOOL=env LD_LIBRARY_PATH=$(LPATHS)
endif
